Page MenuHomePhabricator

Temporarily redirect sgs.wikipedia.org to bat-smg.wikipedia.org until bat-smg->sgs move can be done
Closed, ResolvedPublic

Description

As noted in T27522, I believe it is a good idea to create a redirect from sgs.wikipedia.org to bat-smg.wikipedia.org for as long as that task is stalled. This would allow external links using the correct ISO code already now.

Event Timeline

Might be rather Apache territory than a site request? not sure though

I think a "site request" doesn't exist anymore. It's a term from times when people actually ran manual commands on "the servers".

Yea, this sounds like it needs Apache changes. So that would be in the puppet repo inside the mediawiki module.

I think a "site request" doesn't exist anymore. It's a term from times when people actually ran manual commands on "the servers".

They exist, wikis get their configurations changed this way and the resulting patches normally go through SWAT or result in a maintenance script being run. If I understand correctly there was a time when apache changes could be done by deployers but it's been ops territory for years now.

What you describe is a mediawiki configuration change to me. Back in the old days there was no difference between changing Mediawiki or changing Apache, it was done by the same people. But nowadays it's pretty separate, hence i claim that calling things "site request" doesn't help much anymore.

The problem is they're not all configuration changes.

In the past "site request" meant "we need somebody with root to SSH somehere and do stuff, we can't do it". Nowadays any config change means "somebody needs to make a change and upload it to code review, it could be anyone".. So that's pretty different.

I think that was what the 'ops' and 'shell' keywords were for.

I think it is literally called "site request" because it was requesting somebody with "site access" which meant SSH to fenari. But it's just words, let's not worry about it too much then.

herron triaged this task as Medium priority.Oct 2 2018, 5:28 PM

Change 481539 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'sgs' as alias for 'bat-smg'

https://gerrit.wikimedia.org/r/481539

Change 481540 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add redirects from 'sgs' to 'bat-smg'

https://gerrit.wikimedia.org/r/481540

Change 481539 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'sgs' as alias for 'bat-smg'

https://gerrit.wikimedia.org/r/481539

Change 481540 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add redirects from 'sgs' to 'bat-smg'

https://gerrit.wikimedia.org/r/481540

Esc3300 raised the priority of this task from Medium to Unbreak Now!.Jun 12 2021, 9:25 AM
Esc3300 subscribed.

Can the patch be reviewed?

RhinosF1 lowered the priority of this task from Unbreak Now! to Medium.Jun 12 2021, 9:27 AM

This isn't UBN!

Given the time lapsed, it's no longer medium priority. So is it "high" or "unbreak now?"

Given the time lapsed, it's no longer medium priority. So is it "high" or "unbreak now?"

Definitely not Unbreak Now. There's zero reason to wake people up on a weekend over it. I'd leave it medium but I'll see if I can poke some helpful SRE during the week on IRC. I do note that it's All Hands though so there's no formal deploy Windows.

Can we assign the task to someone?

No because we don't know who on SRE will be around next week.

Change 481539 merged by Dzahn:

[operations/dns@master] Add 'sgs' as alias for 'bat-smg'

https://gerrit.wikimedia.org/r/481539

sgs.wikpedia.org has been added to DNS now

sgs.wikipedia.org is an alias for dyna.wikimedia.org.

Change #1031874 had a related patch set uploaded (by Clément Goubert; author: Clément Goubert):

[operations/puppet@production] httpbb: Add tests for new redirects

https://gerrit.wikimedia.org/r/1031874

Change #1031874 merged by Clément Goubert:

[operations/puppet@production] httpbb: Add tests for new redirects

https://gerrit.wikimedia.org/r/1031874

Change #481540 merged by Clément Goubert:

[operations/puppet@production] Add redirects from 'sgs' to 'bat-smg'

https://gerrit.wikimedia.org/r/481540

Mentioned in SAL (#wikimedia-operations) [2024-05-16T10:22:16Z] <cgoubert@deploy1002> Started scap: Deploy new redirects to mw-on-k8s - T25216 T204830 T31186

Mentioned in SAL (#wikimedia-operations) [2024-05-16T10:29:59Z] <cgoubert@deploy1002> Finished scap: Deploy new redirects to mw-on-k8s - T25216 T204830 T31186 (duration: 08m 06s)

Mentioned in SAL (#wikimedia-operations) [2024-05-16T10:31:53Z] <claime> cumin 'A:all-mw' "enable-puppet 'New redirects T25216 T204830 T31186 - cgoubert'"

Mentioned in SAL (#wikimedia-operations) [2024-05-16T10:32:44Z] <claime> cumin 'A:all-mw' -b30 "run-puppet-agent -q" - T25216 T204830 T31186

The redirect from sgs.wikipedia.org to bat-smg.wikipedia.org is operational

Fomafix claimed this task.